Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
Imports DevExpress.ExpressApp.ConditionalAppearance
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<ImageName("document_connection")> _
Public Class PartnerConnectionInfoCleanUp_PopupWindow '-- Összepontozás
    Inherits BaseObject
    Private _ConnectInfo As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property ConnectInfo As String
        Get
            Return _ConnectInfo
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ConnectInfo", _ConnectInfo, value)
        End Set
    End Property
    <VisibleInListView(False)> _
    <Association("PartnerConnectionInfoCleanUp_PopupWindow-PartnerConnectionInfoCleanUp_PopupWindow_SelectedItem", GetType(PartnerConnectionInfoCleanUp_PopupWindow_SelectedItem))> _
    ReadOnly Property PartnerConnectionInfoCleanUp_PopupWindow_SelectedItem As XPCollection(Of PartnerConnectionInfoCleanUp_PopupWindow_SelectedItem)
        Get
            Return GetCollection(Of PartnerConnectionInfoCleanUp_PopupWindow_SelectedItem)("PartnerConnectionInfoCleanUp_PopupWindow_SelectedItem")
        End Get
    End Property
End Class
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class PartnerConnectionInfoCleanUp_PopupWindow_SelectedItem '-- Összepontozás
    Inherits BaseObject
    Private _PartnerConnectionInfoCleanUp_PopupWindow As PartnerConnectionInfoCleanUp_PopupWindow
    Private _PCIDetail As PCIDetail
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("PartnerConnectionInfoCleanUp_PopupWindow-PartnerConnectionInfoCleanUp_PopupWindow_SelectedItem", GetType(PartnerConnectionInfoCleanUp_PopupWindow))> _
    Property PartnerConnectionInfoCleanUp_PopupWindow As PartnerConnectionInfoCleanUp_PopupWindow
        Get
            Return _PartnerConnectionInfoCleanUp_PopupWindow
        End Get
        Set(value As PartnerConnectionInfoCleanUp_PopupWindow)
            SetPropertyValue("PartnerConnectionInfoCleanUp_PopupWindow", _PartnerConnectionInfoCleanUp_PopupWindow, value)
        End Set
    End Property
    Property PCIDetail As PCIDetail
        Get
            Return _PCIDetail
        End Get
        Set(value As PCIDetail)
            SetPropertyValue("PCIDetail", _PCIDetail, value)
        End Set
    End Property
End Class


